net.sf.jasperreports.engine

## Interface Renderable

- All Superinterfaces:
    JRRenderable, java.io.Serializable
  All Known Subinterfaces:
    ImageMapRenderable
  All Known Implementing Classes:
    AwtComponentRenderer, BarbecueRenderer, BatikRenderer, DrawChartRenderer, JCommonDrawableRenderer, JFreeChartRenderer, JRAbstractRenderer, JRAbstractSvgRenderer, JRImageRenderer, JRSimpleImageMapRenderer, JRVirtualPrintPage.JRIdHolderRenderer, JRWrappingSvgRenderer, UnusedSpaceImageRenderer, WrappingImageMapRenderable, WrappingRenderable

      public interface Renderable
      extends JRRenderable

  Version:
    $Id: Renderable.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_IMAGE_DPI` Specifies the image resolution in dots-per-inch, for the images created by the engine when rasterizing SVGs or when clipping other renderers.

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRRenderable

      `IMAGE_TYPE_GIF, IMAGE_TYPE_JPEG, IMAGE_TYPE_PNG, IMAGE_TYPE_TIFF, IMAGE_TYPE_UNKNOWN, MIME_TYPE_GIF, MIME_TYPE_JPEG, MIME_TYPE_PNG, MIME_TYPE_TIFF, TYPE_IMAGE, TYPE_SVG`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.geom.Dimension2D` | `getDimension(JasperReportsContext jasperReportsContext)`
    `java.lang.String` | `getId()`
    `byte[]` | `getImageData(JasperReportsContext jasperReportsContext)`
    `ImageTypeEnum` | `getImageTypeValue()`
    `RenderableTypeEnum` | `getTypeValue()`
    `void` | `render(JasperReportsContext jasperReportsContext, java.awt.Graphics2D grx, java.awt.geom.Rectangle2D rectangle)`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRRenderable

      `getDimension, getImageData, getImageType, getType, render`

- - ### Field Detail

    - #### PROPERTY_IMAGE_DPI

          static final java.lang.String PROPERTY_IMAGE_DPI

      Specifies the image resolution in dots-per-inch, for the images created by the engine when rasterizing SVGs or when clipping other renderers.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getId

          java.lang.String getId()

      Specified by:
        `getId` in interface `JRRenderable`

    - #### getTypeValue

          RenderableTypeEnum getTypeValue()

    - #### getImageTypeValue

          ImageTypeEnum getImageTypeValue()

    - #### getDimension

          java.awt.geom.Dimension2D getDimension(JasperReportsContext jasperReportsContext)
                                                 throws JRException

      Throws:
        `JRException`

    - #### getImageData

          byte[] getImageData(JasperReportsContext jasperReportsContext)
                              throws JRException

      Throws:
        `JRException`

    - #### render

          void render(JasperReportsContext jasperReportsContext,
                    java.awt.Graphics2D grx,
                    java.awt.geom.Rectangle2D rectangle)
                      throws JRException

      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com